post
https://sandbox.saner.secpod.com/AncorWebService/perform
This method allows users to check if a network scan config is assigned or not. Account, config name, and device name are mandatory inputs for this method.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| account | Account name or ID | Yes | string |
| configname | Name of the network scan configuration | Yes | string |
| devicename | Name of the device assigned to the scan configuration | Yes | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.NetworkScanner.isNetworkScanConfigAssigned(
account="Demo Account",
devicename="endpoint_device",
configname="test config"
)
print(response)
client.close()Requires Python 3.9 or later.